#!/bin/bash
set -e
attrib_hash=$(cat "./attribution-checksum.sha512")

if [ -z "$1" ]; then
    echo "enter passphrase to test"
    read passphrase
    echo
else
    passphrase="$1"
fi

tested_hash=$( ( echo -n "$passphrase"; cat "./contents.7z" ) | sha512sum | awk '{print $1}')

if [[ "$attrib_hash" == "$tested_hash" ]]; then
    echo -e  "Attribution With Password $passphrase: \033[0;32mOK!\033[0m"
else
    echo -e "Attribution With Password $passphrase: \033[0;31mFAIL!\033[0m"
fi
